> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Charge

> Retorna uma charge pelo ID.

Retorna uma `charge` acessível para a organização. Uma charge representa uma
tentativa de cobrar um `payment_intent`; ela nasce da confirmação do intent e
não é criada diretamente.

<ParamField path="id" type="string" required>
  ID da charge (`ch_*`).
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/charges/ch_123" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json Response 200 theme={}
  {
    "id": "ch_123",
    "object": "charge",
    "amount": 9990,
    "amount_captured": 9990,
    "amount_refunded": 0,
    "billing_details": {},
    "captured": true,
    "created_at": "2026-05-16T18:35:00Z",
    "currency": "brl",
    "customer": "cus_123",
    "description": null,
    "disputed": false,
    "invoice": "inv_123",
    "livemode": true,
    "metadata": {},
    "paid": true,
    "payment_error": null,
    "payment_intent": "pi_123",
    "payment_method": "pm_123",
    "payment_method_details": {
      "card": {
        "brand": "visa",
        "exp_month": 12,
        "exp_year": 2030,
        "installments": 1,
        "last4": "4242"
      },
      "type": "credit_card"
    },
    "receipt_url": null,
    "refunded": false,
    "refunds": {
      "object": "list",
      "data": [],
      "has_more": false,
      "url": "/v1/refunds?charge=ch_123"
    },
    "status": "succeeded",
    "updated_at": "2026-05-16T18:35:00Z"
  }
  ```
</ResponseExample>
